Package org.flowable.bpmn.model

# Class CallActivity

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Activity
org.flowable.bpmn.model.CallActivity

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`, `HasInParameters`, `HasOutParameters`

public class CallActivity extends Activity implements HasOutParameters, HasInParameters

Author:
  Tijs Rademakers, Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `businessKey`
  `protected String`
  `calledElement`
  `protected String`
  `calledElementType`
  `protected boolean`
  `completeAsync`
  `protected Boolean`
  `fallbackToDefaultTenant`
  `protected boolean`
  `inheritBusinessKey`
  `protected boolean`
  `inheritVariables`
  `protected List<IOParameter>`
  `inParameters`
  `protected List<IOParameter>`
  `outParameters`
  `protected String`
  `processInstanceIdVariableName`
  `protected String`
  `processInstanceName`
  `protected boolean`
  `sameDeployment`
  `protected boolean`
  `useLocalScopeForOutParameters`

  ### Fields inherited from class org.flowable.bpmn.model.Activity

  `boundaryEvents, dataInputAssociations, dataOutputAssociations, defaultFlow, failedJobRetryTimeCycleValue, forCompensation, ioSpecification, loopCharacteristics, mapExceptions`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallActivity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addInParameter(IOParameter inParameter)`
  `void`
  `addOutParameter(IOParameter outParameter)`
  `CallActivity`
  `clone()`
  `String`
  `getBusinessKey()`
  `String`
  `getCalledElement()`
  `String`
  `getCalledElementType()`
  `Boolean`
  `getFallbackToDefaultTenant()`
  `List<IOParameter>`
  `getInParameters()`
  `List<IOParameter>`
  `getOutParameters()`
  `String`
  `getProcessInstanceIdVariableName()`
  `String`
  `getProcessInstanceName()`
  `boolean`
  `isCompleteAsync()`
  `boolean`
  `isInheritBusinessKey()`
  `boolean`
  `isInheritVariables()`
  `boolean`
  `isSameDeployment()`
  `boolean`
  `isUseLocalScopeForOutParameters()`
  `void`
  `setBusinessKey(String businessKey)`
  `void`
  `setCalledElement(String calledElement)`
  `void`
  `setCalledElementType(String calledElementType)`
  `void`
  `setCompleteAsync(boolean completeAsync)`
  `void`
  `setFallbackToDefaultTenant(Boolean fallbackToDefaultTenant)`
  `void`
  `setInheritBusinessKey(boolean inheritBusinessKey)`
  `void`
  `setInheritVariables(boolean inheritVariables)`
  `void`
  `setInParameters(List<IOParameter> inParameters)`
  `void`
  `setOutParameters(List<IOParameter> outParameters)`
  `void`
  `setProcessInstanceIdVariableName(String processInstanceIdVariableName)`
  `void`
  `setProcessInstanceName(String processInstanceName)`
  `void`
  `setSameDeployment(boolean sameDeployment)`
  `void`
  `setUseLocalScopeForOutParameters(boolean useLocalScopeForOutParameters)`
  `void`
  `setValues(CallActivity otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.Activity

  `getBoundaryEvents, getDataInputAssociations, getDataOutputAssociations, getDefaultFlow, getFailedJobRetryTimeCycleValue, getIoSpecification, getLoopCharacteristics, getMapExceptions, hasMultiInstanceLoopCharacteristics, isForCompensation, setBoundaryEvents, setDataInputAssociations, setDataOutputAssociations, setDefaultFlow, setFailedJobRetryTimeCycleValue, setForCompensation, setIoSpecification, setLoopCharacteristics, setMapExceptions, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### calledElement

    protected String calledElement

  - ### calledElementType

    protected String calledElementType

  - ### inheritVariables

    protected boolean inheritVariables

  - ### sameDeployment

    protected boolean sameDeployment

  - ### inParameters

    protected List<IOParameter> inParameters

  - ### outParameters

    protected List<IOParameter> outParameters

  - ### processInstanceName

    protected String processInstanceName

  - ### businessKey

    protected String businessKey

  - ### inheritBusinessKey

    protected boolean inheritBusinessKey

  - ### useLocalScopeForOutParameters

    protected boolean useLocalScopeForOutParameters

  - ### completeAsync

    protected boolean completeAsync

  - ### fallbackToDefaultTenant

    protected Boolean fallbackToDefaultTenant

  - ### processInstanceIdVariableName

    protected String processInstanceIdVariableName

- ## Constructor Details

  - ### CallActivity

    public CallActivity()

- ## Method Details

  - ### getCalledElement

    public String getCalledElement()

  - ### setCalledElement

    public void setCalledElement(String calledElement)

  - ### isInheritVariables

    public boolean isInheritVariables()

  - ### setInheritVariables

    public void setInheritVariables(boolean inheritVariables)

  - ### isSameDeployment

    public boolean isSameDeployment()

  - ### setSameDeployment

    public void setSameDeployment(boolean sameDeployment)

  - ### getInParameters

    public List<IOParameter> getInParameters()
    Specified by:
      `getInParameters` in interface `HasInParameters`

  - ### addInParameter

    public void addInParameter(IOParameter inParameter)
    Specified by:
      `addInParameter` in interface `HasInParameters`

  - ### setInParameters

    public void setInParameters(List<IOParameter> inParameters)
    Specified by:
      `setInParameters` in interface `HasInParameters`

  - ### getOutParameters

    public List<IOParameter> getOutParameters()
    Specified by:
      `getOutParameters` in interface `HasOutParameters`

  - ### addOutParameter

    public void addOutParameter(IOParameter outParameter)
    Specified by:
      `addOutParameter` in interface `HasOutParameters`

  - ### setOutParameters

    public void setOutParameters(List<IOParameter> outParameters)
    Specified by:
      `setOutParameters` in interface `HasOutParameters`

  - ### getProcessInstanceName

    public String getProcessInstanceName()

  - ### setProcessInstanceName

    public void setProcessInstanceName(String processInstanceName)

  - ### getBusinessKey

    public String getBusinessKey()

  - ### setBusinessKey

    public void setBusinessKey(String businessKey)

  - ### isInheritBusinessKey

    public boolean isInheritBusinessKey()

  - ### setInheritBusinessKey

    public void setInheritBusinessKey(boolean inheritBusinessKey)

  - ### isUseLocalScopeForOutParameters

    public boolean isUseLocalScopeForOutParameters()

  - ### setUseLocalScopeForOutParameters

    public void setUseLocalScopeForOutParameters(boolean useLocalScopeForOutParameters)

  - ### isCompleteAsync

    public boolean isCompleteAsync()

  - ### setCompleteAsync

    public void setCompleteAsync(boolean completeAsync)

  - ### getFallbackToDefaultTenant

    public Boolean getFallbackToDefaultTenant()

  - ### setFallbackToDefaultTenant

    public void setFallbackToDefaultTenant(Boolean fallbackToDefaultTenant)

  - ### setCalledElementType

    public void setCalledElementType(String calledElementType)

  - ### getCalledElementType

    public String getCalledElementType()

  - ### getProcessInstanceIdVariableName

    public String getProcessInstanceIdVariableName()

  - ### setProcessInstanceIdVariableName

    public void setProcessInstanceIdVariableName(String processInstanceIdVariableName)

  - ### clone

    public CallActivity clone()
    Specified by:
      `clone` in class `FlowElement`

  - ### setValues

    public void setValues(CallActivity otherElement)